/***************************************************************************
 *                          Zanoza Modeler v3.x                            *
 *      This is unpublished propietary source code of Zanoza Software.     *
 *      The copyright notice does not evidence any actual or intended      *
 *                    publication of such source code.                     *
 *                                                                         *
 *                Copyright (c) 2002-2012 Zanoza Software.                 *
 *                                                                         *
 *                        All rights reserved.                             *
 ***************************************************************************
 *--------------------------------------------------------------------------
 * @author:   Oleg M.
 *--------------------------------------------------------------------------
 * @purpose:  Main DLL routine
 *--------------------------------------------------------------------------
 * @histroy: 07.09.2010. Created
 * @histroy: 07.12.2012. Remastering for ZModeler3
 */
#include "MafiaII.h" 
#include <helpers/services.h>

ZM_LIBRARY_DEFAULT_DECLARE()
  ZM_LIBRARY_NO_COPYRIGHT_INFO()
  ZM_LIBRARY_COLLECTION_BEGIN()
  ZM_LIBRARY_REG(core::io::CMafiaII, ZM_CLASS_FILTER)
  ZM_LIBRARY_COLLECTION_END()
  ZM_LIBRARY_REQUIRES(ZM_LIBREQUIRES_UNLOAD)
  ZM_LIBRARY_DYNAMIC_UNLOAD(libraryUnload)
ZM_LIBRARY_DEFAULT_END()


ZM_DLLMAIN_DEFAULT_BEGIN()
  ZM_LIBRARY_DEFAULT()
  ZM_LIBRARY_DESCRIPTION(_T("Mafia II filter for ZModeler3"))
  ZM_LIBRARY_REGISTER()
ZM_DLLMAIN_DEFAULT_END()

ZRESULT libraryUnload(bool bClose)
{
  if (bClose)
    return ZRESULT_OK;
  ZPtr<services::IImportExportService>  pSrv;
  if (ZRESULT_OK == services::getImportExportService(&pSrv))
    return pSrv->removeFilterActivity(_T("core::io::CMafiaII"));
  else
    return ZRESULT_OK;
}

