/***************************************************************************
 *                          Zanoza Modeler v3.x                            *
 *      This is unpublished propietary source code of Zanoza Software.     *
 *      The copyright notice does not evidence any actual or intended      *
 *                    publication of such source code.                     *
 *                                                                         *
 *                Copyright (c) 2002-2012 Zanoza Software.                 *
 *                                                                         *
 *                        All rights reserved.                             *
 ***************************************************************************
 *--------------------------------------------------------------------------
 * @author:   Oleg M.
 *--------------------------------------------------------------------------
 * @purpose: Mafia II dialog routines
 *--------------------------------------------------------------------------
 * @histroy: 07.09.2010. Created
 * @histroy: 07.12.2012. Remastering for ZModeler3
 */
#include "MafiaII.h"

namespace core
{

namespace io
{
BEGIN_MESSAGE_MAP(CMafiaIIDialog, core::tools::CChildDialog)
  ON_WM_DESTROY()
END_MESSAGE_MAP()

BOOL CMafiaIIDialog::OnInitDialog()
{
  // sizing stuff
  ZPtr<services::IDialogSizingService>  pDSS;
  if (ZRESULT_OK == services::getDialogSizingService(&pDSS))
  {
    pDSS->setDialog(this, ZRect(0, 0, 100, 20), true, false);
    /*
    pDSS->addControl(IDC_LOCKEDFILE, DSS_HORIZONTAL(DSS_SIZE));
    pDSS->addControl(IDC_VERSIONTEXT, DSS_HORIZONTAL(DSS_4_SCALE(DSS_SIZE | DSS_MOVE)));
    pDSS->addControl(IDC_VERSIONCOMBO, DSS_HORIZONTAL(DSS_2_SCALE(DSS_MOVE) | DSS_4_SCALE(DSS_SIZE)));
    pDSS->addControl(IDC_COMMENTEDIT, DSS_HORIZONTAL(DSS_34_SCALE(DSS_SIZE)));
    pDSS->addControl(IDC_BROWSEFORFOLDER, DSS_HORIZONTAL(DSS_34_SCALE(DSS_SIZE)));
    pDSS->addControl(IDC_THUMBNAIL, DSS_HORIZONTAL(DSS_34_SCALE(DSS_MOVE) | DSS_4_SCALE(DSS_SIZE)));
    pDSS->addControl(IDC_LOCK, DSS_HORIZONTAL(DSS_34_SCALE(DSS_MOVE) | DSS_4_SCALE(DSS_SIZE)));
    */
  }
  //((CEdit*)GetDlgItem(IDC_COMMENTEDIT))->LimitText(64);

  setDialogMode(m_bExport);
  return CChildDialog::OnInitDialog();
}

CMafiaIIDialog::~CMafiaIIDialog()
{
}


//-------------------------------------------------------
// @name : CMafiaIIDialog::OnDestroy
// dialog is about to be hidden;
//
// @return afx_msg void : 
//-------------------------------------------------------
afx_msg void CMafiaIIDialog::OnDestroy()
{
  if (m_pOwner)
  {
    if (m_bExport)
    {
      //m_pOwner->m_bLock = isLock();
      //m_pOwner->m_bThumb = isThumbnail();
      //getComment(m_pOwner->m_strComment);
    }
    //save profile
    ZPtr<services::IProfilingService> pProfiler;
    services::getProfilingService(&pProfiler);
    if (pProfiler)
    {
      ZStringSeq seqBranch;
      seqBranch.add(_T("Preference"));
      seqBranch.add(_T("Filters"));
      seqBranch.add(_T("MafiaII"));
    }//profiler
  }//valid owner
}


void CMafiaIIDialog::setFileInfo(bool bLock, LPCTSTR pszComment)
{
  if (m_hWnd == NULL)
    return;
  if (!m_bExport)
  {
    //((CButton*)GetDlgItem(IDC_LOCK))->SetCheck(bLock);
    //GetDlgItem(IDC_LOCKEDFILE)->ShowWindow(bLock ? SW_SHOW : SW_HIDE);
    //GetDlgItem(IDC_COMMENTEDIT)->SetWindowText(pszComment);
  }
}

void CMafiaIIDialog::setDialogMode(bool b)
{
  if (m_hWnd != NULL)
  {
    /*
    bool bAllowLock = (ZRESULT_OK == g_pZModeler->isValidCodeCRC());
    GetDlgItem(IDC_LOCK)->ShowWindow(b&&bAllowLock ? SW_SHOW : SW_HIDE);
    GetDlgItem(IDC_COMMENTEDIT)->EnableWindow(b);
    GetDlgItem(IDC_THUMBNAIL)->ShowWindow(b ? SW_SHOW : SW_HIDE);
    GetDlgItem(IDC_VERSIONTEXT)->ShowWindow(b ? SW_SHOW : SW_HIDE);
    GetDlgItem(IDC_VERSIONCOMBO)->ShowWindow(b ? SW_SHOW : SW_HIDE);
    */
  }
  if (m_bExport != b)
    setFileInfo(false, NULL);
  m_bExport = b;
}


};//io

};//core

